using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data.SqlClient;
using System.Configuration;
using System.Data;

public class myDataSource
{
	public myDataSource()
	{}

    public static SqlDataReader myDataReader()
    {
        SqlCommand command = new SqlCommand();
        command.Connection = new SqlConnection(
        ConfigurationManager.ConnectionStrings["AdventureWorks"].ConnectionString);
        command.CommandText = "SELECT TOP 15000 WorkOrderID,ProductID,OrderQty,StockedQty,ScrappedQty, Convert(Varchar(15),StartDate,101) StartDt, " +
            "Convert(varchar(15),[EndDate],101) EndDt, Convert(varchar(15),DueDate,101) as DueDt,Convert(varchar(15),ModifiedDate,101) ModDt FROM Production.WorkOrder";
        command.CommandType = System.Data.CommandType.Text;
        command.Connection.Open();
        SqlDataReader reader = command.ExecuteReader();
        return reader;
    }   
}
